package com.ruoyi.cms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import java.util.Map;

import com.ruoyi.common.core.domain.entity.AppUserShow;
import com.ruoyi.common.core.domain.entity.MyChart;
import com.ruoyi.common.core.domain.entity.AppUser;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.ibatis.annotations.Param;

/**
 * APP用户Mapper接口
 * @author lishundong
 * @date 2024-09-03
 */
public interface AppUserMapper extends BaseMapper<AppUser>
{
    /**
     * 查询APP用户列表
     * 
     * @param appUser APP用户
     * @return APP用户集合
     */
    public List<AppUser> selectAppUserList(AppUser appUser);

    List<AppUser> selectByJobId(Long jobId);

    AppUser selectByOpenid(@Param("openid")String openid, @Param("userType") String userType);

    int insertSysUserRole(Map<String,Object> map);

    int insertSysUser(SysUser sysUser);

    MyChart getMyTj(@Param("userId") Long userId);

    SysUser selectSysUserIdcard(@Param("idCard") String idCard);

    List<AppUserShow> selectUserApplyList(AppUser appUser);
}
